Bug 119798 - [PATCH] devel/py25-boto: update to 1.0a
Summary: [PATCH] devel/py25-boto: update to 1.0a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-19 09:20 UTC by Peter Schuller
Modified: 2008-01-20 22:00 UTC (History)
0 users

See Also:


Attachments
py25-boto-1.0a.patch (5.34 KB, patch)
2008-01-19 09:20 UTC, Peter Schuller
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Schuller 2008-01-19 09:20:00 UTC
- Update to 1.0a
- Clobber test.py and entire tests directory from being installed again (as
  previously, alternative would be some more significant changes to have it
  go under boto/tests or similar).
Generated with FreeBSD Port Tools 0.77

Upstream changelog:

[boto 1.0a changes]
------------------------------------------------------------------------
r375 | Mitch.Garnaat | 2007-10-17 13:06:17 -0400 (Wed, 17 Oct 2007) | 1 line

Fixed a dangling reference to a non-existant variable.
------------------------------------------------------------------------
r376 | Mitch.Garnaat | 2007-10-25 11:17:15 -0400 (Thu, 25 Oct 2007) | 1 line

Adding test for force_deletion flag
------------------------------------------------------------------------
r377 | Mitch.Garnaat | 2007-10-25 11:18:51 -0400 (Thu, 25 Oct 2007) | 1 line

Apparently, the force_deletion flag in delete_queue has never actually worked.  How embarrasing.  Fixes Issue-81.
------------------------------------------------------------------------
r378 | Mitch.Garnaat | 2007-11-05 08:49:06 -0500 (Mon, 05 Nov 2007) | 1 line

Refactoring the CommandLineService and creating a utility class for handling command line invocation.
------------------------------------------------------------------------
r379 | Mitch.Garnaat | 2007-11-05 08:52:16 -0500 (Mon, 05 Nov 2007) | 1 line

Added a dump method and moved path to metadata file to a module variable.
------------------------------------------------------------------------
r380 | Mitch.Garnaat | 2007-11-05 11:44:16 -0500 (Mon, 05 Nov 2007) | 1 line

added a dump_safe method for the config file that filters out the aws_secret_access_key value.
------------------------------------------------------------------------
r381 | Mitch.Garnaat | 2007-11-12 07:31:07 -0500 (Mon, 12 Nov 2007) | 1 line

Splitting out the config class.
------------------------------------------------------------------------
r382 | Mitch.Garnaat | 2007-12-03 07:05:06 -0500 (Mon, 03 Dec 2007) | 1 line

Properly handle newline-separated list values in instance data.
------------------------------------------------------------------------
r387 | Mitch.Garnaat | 2007-12-04 09:14:26 -0500 (Tue, 04 Dec 2007) | 1 line

Adding initial support for grants in SQS.  Also adding Chris Moyer's YAMlMessage class to contrib.
------------------------------------------------------------------------
r388 | Mitch.Garnaat | 2007-12-04 21:40:05 -0500 (Tue, 04 Dec 2007) | 1 line

Added boto.contrib to packages so it will get installed properly.
------------------------------------------------------------------------
r389 | Mitch.Garnaat | 2007-12-09 10:48:41 -0500 (Sun, 09 Dec 2007) | 1 line

Adding convenience methods to S3 module to make it easier to add grants to buckets and keys.  Also added a few more docstrings.
------------------------------------------------------------------------
r390 | Mitch.Garnaat | 2007-12-09 10:49:33 -0500 (Sun, 09 Dec 2007) | 1 line

Adding convenience methods to S3 module to make it easier to add grants to buckets and keys.  Also added a few more docstrings.
------------------------------------------------------------------------
r391 | Mitch.Garnaat | 2007-12-09 22:49:43 -0500 (Sun, 09 Dec 2007) | 1 line

Forgot to make the setting of the grants on all keys in a bucket dependent on the recursive param to the method.
------------------------------------------------------------------------
r392 | Mitch.Garnaat | 2007-12-10 13:37:27 -0500 (Mon, 10 Dec 2007) | 1 line

Added optional parameter to the load_from_s3 method to allow a prefix other than the one for the current queue to be used.  This allows messages to be moved from one queue to another.
------------------------------------------------------------------------
r393 | Mitch.Garnaat | 2007-12-10 22:16:54 -0500 (Mon, 10 Dec 2007) | 1 line

Adding a receive_message method to the QueryConnection class.  I need this because the REST version is broken and won't let you read from queues you don't own, even if you have permission to do so.
------------------------------------------------------------------------
r394 | Mitch.Garnaat | 2007-12-12 10:02:32 -0500 (Wed, 12 Dec 2007) | 1 line

Added a delete_message method to the QueryConnection.
------------------------------------------------------------------------
r395 | Mitch.Garnaat | 2007-12-13 22:53:13 -0500 (Thu, 13 Dec 2007) | 1 line

Adding current SimpleDB implementation.  Finally
------------------------------------------------------------------------
r398 | Mitch.Garnaat | 2007-12-17 16:45:08 -0500 (Mon, 17 Dec 2007) | 1 line

Patch from Eric Evans to correctly handle 206 response from S3 when doing range GET requests on a key.
------------------------------------------------------------------------
r399 | Mitch.Garnaat | 2007-12-21 06:48:59 -0500 (Fri, 21 Dec 2007) | 1 line

Snapshot of SDB code that works with API version released with public beta.  Still missing support for replace flag on put_attributes.
------------------------------------------------------------------------
r400 | Mitch.Garnaat | 2007-12-21 08:23:36 -0500 (Fri, 21 Dec 2007) | 1 line

Fixed a bug in get_domain and tweaked the iterators/generators for query to return the generator directly so you can do a next() on it.
------------------------------------------------------------------------
r401 | Mitch.Garnaat | 2007-12-29 10:05:33 -0500 (Sat, 29 Dec 2007) | 1 line

Cleaning up a few things and wrapping up initial implementation.
------------------------------------------------------------------------
r405 | Mitch.Garnaat | 2007-12-30 11:47:00 -0500 (Sun, 30 Dec 2007) | 1 line

Added some more capabilities to the Item object to make it behave more like a regular dictionary.
------------------------------------------------------------------------
Comment 1 Martin Wilke freebsd_committer 2008-01-19 13:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-01-20 21:54:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2008-01-20 21:58:03 UTC
miwi        2008-01-20 21:57:05 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-boto        Makefile distinfo pkg-plist 
    devel/py-boto/files  patch-setup.py 
  Log:
  - Update to 1.0a
  
  PR:             119798
  Submitted by:   peter.schuller@infidyne.com (maintainer)
  
  Revision  Changes    Path
  1.3       +1 -1      ports/devel/py-boto/Makefile
  1.3       +3 -3      ports/devel/py-boto/distinfo
  1.2       +7 -7      ports/devel/py-boto/files/patch-setup.py
  1.2       +32 -13    ports/devel/py-boto/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"